# Scripts for working with GIN

Scripts for working with GIN server using the GIN client.

# TONIC development
After working on bash script to create new repositories and submodules, for example with: 

```
sh create_researchrepo organisation projectname projectteam 
projectteam is optional

example:
sh create_researchrepo gin4rri testproject testproject 
```
We are working on TONIC, an application that will expand GIN functionalities to create research organisation and research repositories from templates. The documentation is visible in [tonic-PLAN](tonic-PLAN.md)


# Bash script for Linux and macOS

[sync](./sync): Run from inside a repository to upload any local changes to GIN using the GIN CLI.

- Assumes the repository is already initialised.
- Does not work with submodules.
- Synchronises changes made remotely (on the server) and locally (on the local machine).
- Does not download large file content by default.
    - Uncomment lines 40 and 41 to perform a full download at the end of the run.  The line should be `gin get-content .` and the following line should be `checkerror ...`.
- Double clicking on the file in a file browser should run the script in a terminal.  If the script succeeds, the terminal closes immediately.  If there is an error, it will print an error message and wait for the user to press [Enter] or close the window.


# Batch script for Windows

[sync.bat](./sync.bat): Run from inside a repository to upload any local changes to GIN using the GIN CLI.

_**Note**: This script has not been fully tested yet_

- Assumes the repository is already initialised.
- Does not work with submodules.
- Synchronises changes made remotely (on the server) and locally (on the local machine).
- Does not download large file content by default.
    - Uncomment lines 26 and 27 to perform a full download at the end of the run.  The line should be `gin get-content .` and the following line should be `CALL :checkerror ...`.
- Double clicking on the file in a file browser should run the script in a terminal.  If the script succeeds, the terminal closes immediately.  If there is an error, it will print an error message and wait for the user to press [Enter] or close the window.

# Old scripts

The [old](./old) directory contains old upload scripts that were written while testing different use cases.  They shouldn't be used in their current state, but they may be useful for the future.
